# PulpAnsibleClient::AnsibleAnsibleNamespaceMetadata

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Required named, only accepts lowercase, numbers and underscores. | 
**company** | **String** | Optional namespace company owner. | [optional] 
**email** | **String** | Optional namespace contact email. | [optional] 
**description** | **String** | Optional short description. | [optional] 
**resources** | **String** | Optional resource page in markdown format. | [optional] 
**links** | [**Array&lt;NamespaceLink&gt;**](NamespaceLink.md) | Labeled related links. | [optional] 
**avatar** | **File** | Optional avatar image for Namespace | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleNamespaceMetadata.new(name: null,
                                 company: null,
                                 email: null,
                                 description: null,
                                 resources: null,
                                 links: null,
                                 avatar: null)
```


