# PulpAnsibleClient::AnsibleAnsibleNamespaceMetadataResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**name** | **String** | Required named, only accepts lowercase, numbers and underscores. | 
**company** | **String** | Optional namespace company owner. | [optional] 
**email** | **String** | Optional namespace contact email. | [optional] 
**description** | **String** | Optional short description. | [optional] 
**resources** | **String** | Optional resource page in markdown format. | [optional] 
**links** | [**Array&lt;NamespaceLinkResponse&gt;**](NamespaceLinkResponse.md) | Labeled related links. | [optional] 
**avatar_sha256** | **String** | SHA256 digest of avatar image if present. | [optional] [readonly] 
**avatar_url** | **String** | Download link for avatar image if present. | [optional] [readonly] 
**metadata_sha256** | **String** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleNamespaceMetadataResponse.new(pulp_href: null,
                                 name: null,
                                 company: null,
                                 email: null,
                                 description: null,
                                 resources: null,
                                 links: null,
                                 avatar_sha256: null,
                                 avatar_url: null,
                                 metadata_sha256: null)
```


