# PulpAnsibleClient::AnsibleAnsibleRepositoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**versions_href** | **String** |  | [optional] [readonly] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**latest_version_href** | **String** |  | [optional] [readonly] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**last_synced_metadata_time** | **DateTime** | Last synced metadata time. | [optional] 
**gpgkey** | **String** | Gpg public key to verify collection signatures against | [optional] 
**last_sync_task** | **String** |  | [optional] [readonly] 
**private** | **Boolean** |  | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleRepositoryResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 versions_href: null,
                                 pulp_labels: null,
                                 latest_version_href: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 last_synced_metadata_time: null,
                                 gpgkey: null,
                                 last_sync_task: null,
                                 private: null)
```


