# PulpAnsibleClient::CollectionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**href** | **String** | Get href. | [optional] [readonly] 
**namespace** | **String** |  | [optional] [readonly] 
**name** | **String** |  | [optional] [readonly] 
**deprecated** | **Boolean** |  | 
**versions_url** | **String** | Get a link to a collection versions list. | [optional] [readonly] 
**highest_version** | [**Object**](.md) | Get a highest version and its link. | [optional] [readonly] 
**created_at** | **DateTime** | Get the timestamp of the lowest version CollectionVersion&#39;s created timestamp. | [optional] [readonly] 
**updated_at** | **DateTime** | Get the timestamp of the latest version CollectionVersion&#39;s created timestamp. | [optional] [readonly] 
**download_count** | **String** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::CollectionResponse.new(href: null,
                                 namespace: null,
                                 name: null,
                                 deprecated: null,
                                 versions_url: null,
                                 highest_version: null,
                                 created_at: null,
                                 updated_at: null,
                                 download_count: null)
```


