# PulpAnsibleClient::CollectionSummaryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**namespace** | **String** | The namespace of the collection. | [optional] [readonly] 
**name** | **String** | The name of the collection. | [optional] [readonly] 
**version** | **String** | The version of the collection. | [optional] [readonly] 
**requires_ansible** | **String** | The version of Ansible required to use the collection. Multiple versions can be separated with a comma. | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**contents** | [**Object**](.md) | A JSON field with data about the contents. | [optional] [readonly] 
**dependencies** | [**Object**](.md) | A dict declaring Collections that this collection requires to be installed for it to be usable. | [optional] [readonly] 
**description** | **String** | A short summary description of the collection. | [optional] [readonly] 
**tags** | [**Array&lt;AnsibleTagResponse&gt;**](AnsibleTagResponse.md) |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::CollectionSummaryResponse.new(pulp_href: null,
                                 namespace: null,
                                 name: null,
                                 version: null,
                                 requires_ansible: null,
                                 pulp_created: null,
                                 contents: null,
                                 dependencies: null,
                                 description: null,
                                 tags: null)
```


