# PulpAnsibleClient::PulpAnsibleDefaultApiV3PluginAnsibleClientConfigurationApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PulpAnsibleDefaultApiV3PluginAnsibleClientConfigurationApi.md#read) | **GET** /pulp_ansible/galaxy/default/api/v3/plugin/ansible/client-configuration/ | 



## read

> ClientConfigurationResponse read



Return configurations for the ansible-galaxy client.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleDefaultApiV3PluginAnsibleClientConfigurationApi.new

begin
  result = api_instance.read
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleDefaultApiV3PluginAnsibleClientConfigurationApi->read: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**ClientConfigurationResponse**](ClientConfigurationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

