# PulpAnsibleClient::CollectionVersionCopyMove

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**collection_versions** | **Array&lt;String&gt;** | A list of collection versions to move or copy. | 
**destination_repositories** | **Array&lt;String&gt;** | List of repository HREFs to put content in. | 
**signing_service** | **String** | HREF for a signing service. This will be used to sign the collection before moving putting it in any new repositories. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::CollectionVersionCopyMove.new(collection_versions: null,
                                 destination_repositories: null,
                                 signing_service: null)
```


