# PulpAnsibleClient::CollectionVersionSearchListResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | [**RepositoryResponse**](RepositoryResponse.md) |  | 
**collection_version** | [**CollectionSummaryResponse**](CollectionSummaryResponse.md) |  | 
**repository_version** | **String** |  | [optional] [readonly] 
**namespace_metadata** | [**AnsibleAnsibleNamespaceMetadataResponse**](AnsibleAnsibleNamespaceMetadataResponse.md) |  | 
**is_highest** | **Boolean** |  | 
**is_deprecated** | **Boolean** |  | 
**is_signed** | **Boolean** |  | 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::CollectionVersionSearchListResponse.new(repository: null,
                                 collection_version: null,
                                 repository_version: null,
                                 namespace_metadata: null,
                                 is_highest: null,
                                 is_deprecated: null,
                                 is_signed: null)
```


