# PulpAnsibleClient::PatchedansibleAnsibleRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**name** | **String** | A unique name for this repository. | [optional] 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**last_synced_metadata_time** | **DateTime** | Last synced metadata time. | [optional] 
**gpgkey** | **String** | Gpg public key to verify collection signatures against | [optional] 
**private** | **Boolean** |  | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::PatchedansibleAnsibleRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 last_synced_metadata_time: null,
                                 gpgkey: null,
                                 private: null)
```


